package com.yanzuoguang.cloud.excel;

import com.yanzuoguang.db.impl.DbRow;

/**
 * Excel导出接口
 *
 * @author 颜佐光
 */
public interface ExcelDao<T extends Object, M extends Object> {

    /**
     * 循环处理每行数据
     *
     * @param excel excel对象
     * @param cond  条件参数
     */
    void export(DbRow<M> excel, T cond);
}
